View topic - problem with latst build win10

problem with latst build win10

General questions related with the YafaRay Project, 3D computer graphics and about this site.

problem with latst build win10

Post Sat Dec 23, 2017 6:21 pm

I downloaded latest build for win 10 64

and when I run it I see a small window opening then it closes very fast

anyone had this problem ?

and what do I do to get it to run normally


thanks for any feedback

happy cl
rickyblender
 
Posts: 66
Joined: Sun Dec 28, 2008 8:15 pm

Re: problem with latst build win10

Post Sat Dec 23, 2017 10:05 pm

Hello,

What build have you used? If it's one of the "bleeding edge", have you tried stable v3.3.0 and did it work for you?

Please try executing Blender from the command line, so you can see what's happening when you start rendering with YafaRay, etc. If you can, please send us screenshots or the log files taken from the command line.

Thanks and Merry Christmas!
User avatar
David Bluecame
 
Posts: 460
Joined: Mon Jan 21, 2013 12:42 pm
Location: Spain

Re: problem with latst build win10

Post Sun Dec 24, 2017 1:23 pm

it is V3.3

from command line got this

[08:23:04] INFO: Environment: Loading plugins ...
[08:23:04] ERROR: You need to set at least a yafaray's valid XML file.
[08:23:04] INFO: YafaRay XML loade

but there is a long list of data after that

guess if there is missing file then how do I get it !



thanks
happy bl
rickyblender
 
Posts: 66
Joined: Sun Dec 28, 2008 8:15 pm

Re: problem with latst build win10

Post Sun Dec 24, 2017 3:42 pm

There is an example xml scene file. You can use, from the command line:

yafaray-xml.exe -f png (path to xml)

And it will generate a png file with the render result of that scene

However perhaps it would be easier for you to download the Blender addon build instead, and install it as such to be able to render scenes from Blender easily.
User avatar
David Bluecame
 
Posts: 460
Joined: Mon Jan 21, 2013 12:42 pm
Location: Spain

Re: problem with latst build win10

Post Sun Dec 24, 2017 6:42 pm

do you have link for that addon !

and this would mean I have to install it or just run it from text editor ?

or where can I get this XML image ?
and where to put it
is it same folder then the EXE for the yafaray build ?

thanks
happy bl
rickyblender
 
Posts: 66
Joined: Sun Dec 28, 2008 8:15 pm

Re: problem with latst build win10

Post Sun Dec 24, 2017 7:29 pm

Hello,

You can download the latest available version builds here:

http://www.yafaray.org/daily_builds/index.html

There are basically two groups: standalone (meant for loading XML scene files) and the Blender Addons (meant for Blender users that want to render Blender scenes with YafaRay)

In each type of build, there is a folder called "tests" which contains either a XML scene in the standalone builds or a .blend file in Blender addons builds, so you can test your build with that scene.

I hope it helps! Merry Christmas! :-)
User avatar
David Bluecame
 
Posts: 460
Joined: Mon Jan 21, 2013 12:42 pm
Location: Spain

Re: problem with latst build win10

Post Tue Dec 26, 2017 2:21 pm

i tried the daily build
stand alone

and I can see the xml file
I guess that from command line you need to give a blend file use for Yafaray
which I don't have yet
daily build does not seem to have a blend file included


but when I run the EXE for yafaray I still see a quick window open and close !


what is the name for this yafaray addon ?
i see 2 py file one for UI for V3 interface
and another one yafqt.py


thanks
happy bl
rickyblender
 
Posts: 66
Joined: Sun Dec 28, 2008 8:15 pm

Re: problem with latst build win10

Post Tue Dec 26, 2017 4:56 pm

ricky, why are you downloading the standalone if you want to use Yafaray with Blender?

To use Yafaray with Blender, download the build for Blender.
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: problem with latst build win10

Post Tue Dec 26, 2017 7:43 pm

sorry i thought the standalone was the proper one to work alone!

I will try the other one

thanks
happy bl
rickyblender
 
Posts: 66
Joined: Sun Dec 28, 2008 8:15 pm

Re: problem with latst build win10

Post Tue Dec 26, 2017 8:14 pm

beginning to work with the build version
and had ot installed it user preferences

now doc seems to be for older version of Yarafay in blender
is there any newer doc for latest blender 2.79 ?

like where do i find the
"Lighting methods are set in the Settings tab of the export script"

did not see any tab in tool panel for that yafaray script
so where do I find this panel ?

i can see the new yafaray material on the right panel for material



thanks

happy bl
rickyblender
 
Posts: 66
Joined: Sun Dec 28, 2008 8:15 pm


Return to News & Discussion



Who is online

Users browsing this forum: No registered users and 4 guests

cron